Subject: RE: Shared Library vs Static Library Linking

From: "Lap Luu" <[email-masked]>
Date: Thu, 15 Jul 1999 17:18:42 -0400

I assume that you imply the question of shared libary
vs static libary under Windows environment. 
My suggestion is that the shared libary version definite gives
you more advantages over the static version of C-client libary. 
  
Lap

> -----Original Message-----
> From:	Mark Nickel [SMTP:[email-masked]]
> Sent:	Wednesday, July 14, 1999 10:10 AM
> To:	[email-masked]
> Subject:	Shared Library vs Static Library Linking
> 
> 
> To all,
> 
> We are going to be rolling out an IMAP/Netscape based email solution at
> my company.  After trolling through deja.com looking for IMAP
> performance tuning hints, I came across a discussion about building the
> c-client library (and consequently the IMAP daemon and related tools) as
> a Shared Library rather than a Static Library.
> 
> My question: is building the c-client libray as Shared and linking
> applications to it as such going to give me a benefit over Static
> linking.
> 
> Here are our estimates of user utilization:
> o  4 servers with less than 100 users per server.
> o  Each user will most likely start their imap client software
> (Netscape), log into
>     the server, and leave the client software running for the entire
> day.
> 
> I have successfully built the c-client library as Shared and linked all
> relevant applications to it.  The executibles are small and everything
> seems to work just great.
> 
> Architecture:
> o  4 Dell PowerEdge 1300's
>     o  64mb ram
>     o  4gb SCSI harddrive for the OS and apps
>     o  9gb SCSI harddrive for the filesystem mounted under /home
> 
> o  clients:  Netscape 4.6
> o  IMAP 4.6 - beta
> o  mbx - high performance mail box format
> 
> Thanks for your insight!
> 
> Mark Nickel
> (Ok, so I'm .sig-less)
> 
> -- 
> ------------------------------------------------------------------
>  For information about this mailing list, and its archives, see: 
>  http://www.washington.edu/imap/c-client-list.html
> ------------------------------------------------------------------